# eric4.Helpviewer.HelpSearchWidget

Module implementing a window for showing the QtHelp index.

### Global Attributes

None

### Classes

HelpSearchWidget | Class implementing a window for showing the QtHelp index.

### Functions

None

## HelpSearchWidget

Class implementing a window for showing the QtHelp index.

### Signals

escapePressed()
  emitted when the ESC key was pressed
linkActivated(const QUrl&)
  emitted when a search result entry is activated

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

HelpSearchWidget | Constructor
__search | Private slot to perform a search of the database.
__searchingFinished | Private slot to handle the end of the search.
__searchingStarted | Private slot to handle the start of a search.
contextMenuEvent | Protected method handling context menu events.
eventFilter | Public method called to filter the event queue.
keyPressEvent | Protected method handling key press events.

### Static Methods

None

#### HelpSearchWidget (Constructor)

HelpSearchWidget(engine, mainWindow, parent = None)

Constructor

engine
  reference to the help search engine (QHelpSearchEngine)
mainWindow
  reference to the main window object (KQMainWindow)
parent
  reference to the parent widget (QWidget)

#### HelpSearchWidget.__search

__search()

Private slot to perform a search of the database.

#### HelpSearchWidget.__searchingFinished

__searchingFinished(hits)

Private slot to handle the end of the search.

hits
  number of hits (integer) (unused)

#### HelpSearchWidget.__searchingStarted

__searchingStarted()

Private slot to handle the start of a search.

#### HelpSearchWidget.contextMenuEvent

contextMenuEvent(evt)

Protected method handling context menu events.

evt
  reference to the context menu event (QContextMenuEvent)

#### HelpSearchWidget.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched
  the QObject being watched (QObject)
event
  the event that occurred (QEvent)

Returns:
  flag indicating whether the event was handled (boolean)

#### HelpSearchWidget.keyPressEvent

keyPressEvent(evt)

Protected method handling key press events.

evt
  reference to the key press event (QKeyEvent)

Up